VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - g -

- generateNewNoteID() : Handler
- get() : FactoryInfo , PluginFactory , ObjCVariable< T > , SystemTime , TestingPluginContext , ClassInfo , ParamPoint , StringResult
- getArrangement() : AudioBus , SpeakerArray
- getAttributes() : HostMessage
- getAudioInput() : AudioEffect
- getAudioOutput() : AudioEffect
- getBinary() : HostAttributeList
- getBufferSamples() : BypassProcessor< T >::Delay
- getBuildnumber() : Version
- getBusArrangement() : AudioEffect , SingleComponentEffect
- getBusCount() : Component , SingleComponentEffect
- getBusInfo() : Component , SingleComponentEffect
- getBusList() : Component
- getClassID() : PresetFile
- getClassInfo() : PlugProvider
- getComponent() : PlugProvider
- getComponentHandler() : EditController
- getComponentPtr() : PlugProvider
- getComponentUID() : PlugProvider
- getController() : PlugProvider , EditorView
- getControllerClassId() : Component , SingleComponentEffect
- getControllerPtr() : PlugProvider
- getCount() : ProgramList
- getCurrentOrNewBlock() : DataExchangeHandler
- getCursor() : ResizableMemoryIBStream
- getData() : ResizableMemoryIBStream , MemoryStream
- getDirection() : BusList
- getEditorState() : SingleComponentEffect
- getEntry() : PresetFile
- getEntryCount() : PresetFile
- getEvent() : EventList
- getEventByIndex() : EventList
- getEventCount() : EventList
- getEventInput() : AudioEffect
- getEventOutput() : AudioEffect
- getFactory() : Module
- getFloat() : HostAttributeList
- getHostContext() : ComponentBase
- getHostKnobMode() : EditController
- getID() : Unit , ProgramList
- GetImplFunc : SystemTime
- getInfo() : Parameter , Bus , EventBus , AudioBus , Unit , ProgramList , NoteExpressionType , Parameter
- getInt() : HostAttributeList
- getInterface() : HostDataExchangeHandler
- getKnobMode() : VSTGUIEditor
- getLastEntry() : PresetFile
- getLatencySamples() : AudioEffect , SingleComponentEffect
- getMajor() : Version
- getMappedNoteExpression() : NoteExpressionTypeContainer
- getMax() : RangeNoteExpressionType , RangeParameter
- getMaxSamples() : AudioBuffer< T >
- getMessageID() : HostMessage
- getMidiNetworkPolicy() : MidiIO
- getMin() : RangeNoteExpressionType , RangeParameter
- getMinor() : Version
- getModuleInfoPath() : Module
- getModulePaths() : Module
- getName() : TestBase , Unit , ProgramList , HostApplication , Module
- getNbReference() : VSTGUIEditor
- getNextChange() : ParameterChangeTransfer
- getNormalized() : Parameter
- getNoteExpressionCount() : NoteExpressionTypeContainer
- getNoteExpressionInfo() : NoteExpressionTypeContainer
- getNoteExpressionStringByValue() : NoteExpressionTypeContainer
- getNoteExpressionType() : NoteExpressionTypeContainer
- getNoteExpressionValueByString() : NoteExpressionTypeContainer
- getParameter() : ProgramList , ParameterContainer
- getParameterByIndex() : ParameterContainer
- getParameterCount() : EditController , ParameterContainer , ParameterChanges
- getParameterData() : ParameterChanges
- getParameterId() : ParameterValueQueue , ParamChanges
- getParameterInfo() : EditController
- getParameterInfoByTag() : EditController
- getParameterObject() : EditController
- getParamID() : Parameter
- getParamNormalized() : EditController
- getParamStringByValue() : EditController
- getParamValueByString() : EditController
- getPath() : Module
- getPeer() : ComponentBase
- getPhysicalUIType() : NoteExpressionType
- getPitchName() : ProgramList , ProgramListWithPitchNames
- getPluginContext() : PluginContextFactory
- getPluginFactory() : PlugProvider
- getPlugInterfaceSupport() : HostApplication
- getPoint() : ParamChanges , ParameterValueQueue
- getPointCount() : ParamChanges , ParameterValueQueue
- getPrecision() : Parameter , NoteExpressionType
- getPresetPaths() : PresetManager
- getProcessContextRequirements() : SingleComponentEffect , AudioEffect
- getProcessedFrames() : ParamChanges
- getProgramInfo() : ProgramList , EditControllerEx1
- getProgramList() : EditControllerEx1
- getProgramListCount() : EditControllerEx1
- getProgramListID() : Unit
- getProgramListInfo() : EditControllerEx1
- getProgramName() : ProgramList , EditControllerEx1
- getProgramPitchName() : EditControllerEx1
- getRect() : CPluginView
- getRoutingInfo() : SingleComponentEffect , Component
- getSelectedUnit() : EditControllerEx1
- getSetup() : Processor
- getSize() : CPluginView , MemoryStream
- getSnapshots() : Module
- getSpeakerIndex() : SpeakerArray
- getState() : Component , EditController
- getStream() : PresetFile
- getString() : HostAttributeList
- getStringByValue() : RangeNoteExpressionType , NoteExpressionType
- getSub() : Version
- getSubCategories() : PlugProvider
- getTailSamples() : SingleComponentEffect , AudioEffect
- getType() : BusList
- getUnitByBus() : EditControllerEx1
- getUnitCount() : EditControllerEx1
- getUnitID() : Parameter
- getUnitInfo() : EditControllerEx1
- getUnitProgramListID() : PresetFile
- getValue() : Parameter
- getValueByString() : RangeNoteExpressionType , NoteExpressionType
- getVariable() : ObjCInstance

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.